
<section id="traveller">
    <div class="container-fluid bgclr">
        <ul class="breadcrumb reset">
            <h5>About Us</h5>
        </ul>
        <div class="card">
            <div class="card-body">
                <div class="row">
                    <div class="col-6">
                       

                    </div>
                   
                </div>
               
                <div class="row py-2">
                    <div class="col-5 col-sm-5 col-md-6 col-lg-6">
                        <!-- <a [routerLink]="['add_aboutus']" class="btn btn-success btn-mini">
                         <i class="fa fa-plus"></i>   
                         Add</a> -->
                     </div>
                    <div class="col-7 col-sm-7 col-md-3 col-lg-3 ml-auto">
                        <div class="form-group">
                            <div class="input-group">
                                <input type="text" class="form-control" placeholder="Search" type="text">
                                <div class="input-group-append">
                                    <span class="input-group-text btnclrs">
                                        <i class="fa fa-search"></i>
                                    </span>

                                </div>
                            </div>

                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-sm-12 table-responsive-sm">
                        <table id="example1" class="table table-bordered table-striped dataTable no-footer">
                            <thead>
                                <tr>
                                    <th class="sorting" tabindex="0" style="width: 18px;">
                                    Sl.no
                                    </th>
                                    <th class="sorting" tabindex="0" aria-controls="example1" rowspan="1" colspan="1" aria-label="Description: activate to sort column ascending" style="width: 836px;">Description</th>
                                    <th class="sorting_asc" style="width: 0px;">Action</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr class="odd">
                                    <td>1</td>
                                    <td>
                                        <div [innerHTML]="contentArray"></div>
                                        <!-- {{content.description}} -->
                                    </td>
                                    <td class="action sorting_1">
                                  
                                        <a [routerLink]="['view_aboutus']" class="btn view">
                                            <i class="fa fa-eye" aria-hidden="true"></i>
                                        </a>
                                      
                                        <a  (click)="updationDation()"  class="btn edit">
                                            <i class="fa fa-pencil" aria-hidden="true"></i>
                                        </a>
                                        <!-- <a class="btn delete" (click)="delete()">
                                            <i class="fa fa-trash" aria-hidden="true"></i>
                                        </a> -->
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
               
                
            </div>
        </div>
    </div>
</section>



<!-- Bootstrap modal  -->

<div id="myModal" class="modal fade">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Header -->
            <div class="modal-header">
                <h2 class="text-center">About Us</h2>
            </div>

            <!-- Body -->
            <div class="modal-body">
                <section id="editor">
                    <form action="" [formGroup]="ckEditorForm" (ngSubmit)="Submit(ckEditorForm)">
                      
                        <ckeditor [editor]="Editor" formControlName="description"
                            name="description"  required></ckeditor>
                            <input type="hidden" formControlName="id">
                        
                        <div class="p-2 bd-highlight">
                            <button type="submit" [disabled]="!ckEditorForm.valid" class="btn doubleleft adduser float-right" id="submitUpdateData" tabindex="0">

                                update
                            </button>
                        </div>

                    </form>
                </section>
            </div>

            <!-- Footer -->
            <div class="modal-footer modal-footer--mine">
                <button type="button" class="btn btn-default doubleleft adduser" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

